import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["children", "combineProps"];
import { Children as ReactChildren, isValidElement, cloneElement } from 'react';
import PropTypes from 'prop-types';

var Children = function Children(_ref) {
  var children = _ref.children,
      _ref$combineProps = _ref.combineProps,
      combineProps = _ref$combineProps === void 0 ? function (ownProps, childProps) {
    return _extends({}, ownProps, childProps);
  } : _ref$combineProps,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return ReactChildren.toArray(children).filter(function (child) {
    return /*#__PURE__*/isValidElement(child);
  }).map(function (child, index) {
    return /*#__PURE__*/cloneElement(child, combineProps(props, child == null ? void 0 : child.props));
  });
};

Children.displayName = 'Children';
export default Children;